# Coverage for Doctrine_Validator_Regexp

Back to coverage report

1 | <?php
2 | /*
3 | * $Id: Regexp.php 2702 2007-10-03 21:43:22Z Jonathan.Wage $
4 | *
5 | * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6 | * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7 | * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8 | * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9 | * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10 | * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11 | * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12 | * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13 | * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14 | * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15 | * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16 | *
17 | * This software consists of voluntary contributions made by many individuals
18 | * and is licensed under the LGPL. For more information, see
19 | * <http://www.phpdoctrine.org>.
20 | */
21 |
22 | /**
23 | * Doctrine_Validator_Regexp
24 | *
25 | * @package Doctrine
26 | * @subpackage Validator
27 | * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
28 | * @link www.phpdoctrine.org
29 | * @since 1.0
30 | * @version $Revision: 2702 $
31 | * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
32 | */
33 | class Doctrine_Validator_Regexp
34 | {
35 | /**
36 | * checks if given value satisfies a regular expression
37 | *
38 | * @param mixed $value
39 | * @param mixed $args
40 | * @return boolean
41 | */
42 | public function validate($value)
43 | {
44 | if ( ! isset($this->args)) {
45 | return true;
46 | }
47 | if (is_array($this->args)) {
48 | foreach ($this->args as $regexp) {
49 | if ( ! preg_match($regexp, $value)) {
50 | return false;
51 | }
52 | }
53 | return true;
54 | } else {
55 | if (preg_match($this->args, $value)) {
56 | return true;
57 | }
58 | }
59 |
60 | return false;
61 | }
62 | }